# $Revision: 1.34 $, $Date: 2007/07/12 17:48:08 $
Summary:	Utility for creating romfs filesystems
Summary(pl.UTF-8):	Narzędzie do tworzenia systemów plików romfs
Name:		genromfs
Version:	0.5.2
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/romfs/%{name}-%{version}.tar.gz
# Source0-md5:	2a91463c56f9e042edc330c063a0cf5a
Patch0:		%{name}-ac_am.patch
URL:		http://romfs.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
genromfs is a tool for creating romfs filesystems, which are
lightweight, read-only filesystems supported by the Linux kernel.
Romfs filesystems are mainly used for the initial RAM disks used
during installation.

%description -l pl.UTF-8
genromfs jest narzędziem służącym do tworzenia systemów plików romfs,
które są lekkimi systemami plików tylko do odczytu, obsługiwanymi
przez jądro Linuksa. Romfs jest głównie używany na inicjalnym
ramdysku, używanym w trakcie startu systemu.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS genromfs.lsm romfs.txt
%attr(755,root,root) %{_sbindir}/genromfs
%{_mandir}/man8/genromfs.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: genromfs.spec,v $
Revision 1.34  2007/07/12 17:48:08  qboosh
- updated to 0.5.2
- updated ac_am patch
- fs can be generated not only on Linux

Revision 1.33  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.31  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.30  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.29  2003/12/11 17:14:04  undefine
- release 3 to rebuild with ac

Revision 1.28  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.27  2003/05/25 05:47:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.25  2003/01/04 01:03:12  radek
- added URL tag and updated Source0 URL

Revision 1.24  2002/10/28 08:14:27  kloczek
- release 2: use new %doc.

Revision 1.23  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.22  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.21  2002/05/21 23:13:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/04/25 16:22:16  arturs
fixed a small typo

Revision 1.19  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/23 02:17:43  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/28 03:49:19  kloczek
- updated to 0.5.1 (updates in manual page).

Revision 1.15  2002/01/26 10:05:53  kloczek
- added "rm -f missing" on top %build.

Revision 1.14  2002/01/21 10:32:35  filon
- updated to 0.5, 0.3 is very old
- updated ac_am.patch

Revision 1.13  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2002/01/05 19:13:44  blues
- release 10
- adapterized

Revision 1.11  2002/01/05 18:23:09  qboosh
- typos

Revision 1.10  2001/11/28 14:33:07  qboosh
- pl summary

Revision 1.9  2000/11/06 10:35:53  kloczek
- release 9: use new rpm automation.

Revision 1.8  2000/09/24 17:11:30  kloczek
- release 8,
- added ac_am patch with full autoconf/automake suit for building genromfs,
- added some %doc,
- genromfs binary executable moved to /sbin.

Revision 1.7  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.4  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/29 22:58:14  arturs
-added %description -l pl

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Thu Oct 30 1998 Jakub Jelinek <jj@ultra.linux.cz>
- new package
